Debian Bug report logs - #633304
transition: ocaml 3.12.1

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Stéphane Glondu <glondu@debian.org>

Date: Sat, 9 Jul 2011 11:45:01 UTC

Severity: normal

Done: Mehdi Dogguy <mehdi@dogguy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-ocaml-maint@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633304; Package release.debian.org. (Sat, 09 Jul 2011 11:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
New Bug report received and forwarded. Copy sent to debian-ocaml-maint@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Sat, 09 Jul 2011 11:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: ocaml
Date: Sat, 09 Jul 2011 13:35:56 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Hello,

OCaml 3.12.1 has been recently released. It is mostly bugfixes. I've
rebuilt all packages that depend on ocaml, and I see no blocker to
update it in Debian. I've planified the migration at [1] (I am
planning to update a few other packages on the way). This will involve
~30 sourceful uploads and ~150 binNMUs.

[1] http://wiki.debian.org/Teams/OCamlTaskForce/OCamlTransitions

I am waiting for the approval from the release team to proceed.


Cheers,

-- 
Stéphane




Changed Bug title to 'transition: ocaml 3.12.1' from 'transition: ocaml' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 03 Sep 2011 14:36:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633304; Package release.debian.org. (Wed, 07 Sep 2011 15:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 07 Sep 2011 15:54:03 GMT) Full text and rfc822 format available.

Message #12 received at 633304@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: 633304@bugs.debian.org
Cc: Debian Ocaml Maint ML <debian-ocaml-maint@lists.debian.org>
Subject: Re: Bug#633304: transition: ocaml
Date: Wed, 07 Sep 2011 17:51:38 +0200
Le 09/07/2011 13:35, Stéphane Glondu a écrit :
> OCaml 3.12.1 has been recently released. It is mostly bugfixes. I've
> rebuilt all packages that depend on ocaml, and I see no blocker to
> update it in Debian. I've planified the migration at [1] (I am
> planning to update a few other packages on the way). This will involve
> ~30 sourceful uploads and ~150 binNMUs.
> 
> [1] http://wiki.debian.org/Teams/OCamlTaskForce/OCamlTransitions
> 
> I am waiting for the approval from the release team to proceed.

It's been 60 days now, and no news. Any ETA?


Cheers,

-- 
Stéphane





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633304; Package release.debian.org. (Fri, 16 Sep 2011 12:34:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 16 Sep 2011 12:35:01 GMT) Full text and rfc822 format available.

Message #17 received at 633304@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: 633304@bugs.debian.org
Cc: Debian Ocaml Maint ML <debian-ocaml-maint@lists.debian.org>
Subject: Re: Bug#633304: transition: ocaml
Date: Fri, 16 Sep 2011 14:11:54 +0200
On 09/07/2011 05:51 PM, Stéphane Glondu wrote:
>> OCaml 3.12.1 has been recently released. It is mostly bugfixes. I've
>> rebuilt all packages that depend on ocaml, and I see no blocker to
>> update it in Debian. I've planified the migration at [1] (I am
>> planning to update a few other packages on the way). This will involve
>> ~30 sourceful uploads and ~150 binNMUs.
>>
>> [1] http://wiki.debian.org/Teams/OCamlTaskForce/OCamlTransitions
>>
>> I am waiting for the approval from the release team to proceed.
> 
> It's been 60 days now, and no news. Any ETA?

I understand that the release team is very busy, and OCaml transitions
involve a lot of packages, but history has shown that they are pretty
self-contained and don't interact very much with other stuff.

Actually, in general, I'd rather see (I'm talking about the OCaml stack,
with my maintainer's hat on) problematic packages removed from testing
instead of waiting for months to get a new version of the compiler or a
library. The fact that everything has to be recompiled is unfortunate,
but the infrastructure seems to support it well, and it constrains the
packages to be always buildable, which is nice. Besides, OCaml upstream
is very conservative and break very few (if any) stuff with new releases
(and here, we are talking about a minor release...).


Cheers,

-- 
Stéphane




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#633304; Package release.debian.org. (Tue, 01 Nov 2011 12:48:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 01 Nov 2011 12:48:23 GMT) Full text and rfc822 format available.

Message #22 received at 633304@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Stéphane Glondu <glondu@debian.org>, 633304@bugs.debian.org
Subject: Re: Bug#633304: transition: ocaml
Date: Tue, 01 Nov 2011 13:24:26 +0100
tags 633304 + pending
thanks

On 07/09/2011 01:35 PM, Stéphane Glondu wrote:
> 
> OCaml 3.12.1 has been recently released. It is mostly bugfixes. I've
> rebuilt all packages that depend on ocaml, and I see no blocker to
> update it in Debian. I've planified the migration at [1] (I am
> planning to update a few other packages on the way). This will involve
> ~30 sourceful uploads and ~150 binNMUs.
> 
> [1] http://wiki.debian.org/Teams/OCamlTaskForce/OCamlTransitions
> 
> I am waiting for the approval from the release team to proceed.
> 

Approved on IRC by jcristau:

13:20 < jcristau> sgnb: in that case ocaml is probably ok to start.  if
mehdi's ok with it.
13:24  * mehdi is ok

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Added tag(s) pending. Request was from Mehdi Dogguy <mehdi@dogguy.org> to control@bugs.debian.org. (Tue, 01 Nov 2011 12:48:29 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 633304: 647357 Request was from Stéphane Glondu <glondu@debian.org> to control@bugs.debian.org. (Wed, 02 Nov 2011 07:42:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 633304: 647593 Request was from Stéphane Glondu <glondu@debian.org> to control@bugs.debian.org. (Fri, 04 Nov 2011 11:21:28 GMT) Full text and rfc822 format available.

Bug 647593 cloned as bug 647724. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Sat, 05 Nov 2011 16:57:14 GMT) Full text and rfc822 format available.

Reply sent to Mehdi Dogguy <mehdi@dogguy.org>:
You have taken responsibility. (Thu, 10 Nov 2011 14:36:04 GMT) Full text and rfc822 format available.

Notification sent to Stéphane Glondu <glondu@debian.org>:
Bug acknowledged by developer. (Thu, 10 Nov 2011 14:36:04 GMT) Full text and rfc822 format available.

Message #35 received at 633304-done@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Mehdi Dogguy <mehdi@dogguy.org>, 633304-done@bugs.debian.org
Subject: Re: Bug#633304: transition: ocaml
Date: Thu, 10 Nov 2011 13:28:34 +0100
On 11/01/2011 01:24 PM, Mehdi Dogguy wrote:
> tags 633304 + pending
> thanks
>
> On 07/09/2011 01:35 PM, Stéphane Glondu wrote:
>>
>> OCaml 3.12.1 has been recently released. It is mostly bugfixes. I've
>> rebuilt all packages that depend on ocaml, and I see no blocker to
>> update it in Debian. I've planified the migration at [1] (I am
>> planning to update a few other packages on the way). This will involve
>> ~30 sourceful uploads and ~150 binNMUs.
>>
>> [1] http://wiki.debian.org/Teams/OCamlTaskForce/OCamlTransitions
>>
>> I am waiting for the approval from the release team to proceed.
>>
>
> Approved on IRC by jcristau:
>

and migrated yesterday.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Dec 2011 07:32:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:00:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.